Create a root certificate
curl --request POST \
--url https://test.didxtech.com/me-creds/api/v1/certificates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"countryName": "<string>",
"issuerAlternativeNameUrl": "<string>",
"commonName": "<string>"
}
'import requests
url = "https://test.didxtech.com/me-creds/api/v1/certificates"
payload = {
"countryName": "<string>",
"issuerAlternativeNameUrl": "<string>",
"commonName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
countryName: '<string>',
issuerAlternativeNameUrl: '<string>',
commonName: '<string>'
})
};
fetch('https://test.didxtech.com/me-creds/api/v1/certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"expiresAt": "<string>",
"subjectKeyIdentifier": "<string>",
"certificate": "<string>",
"capabilities": {
"signMdl": true
},
"parentCertificateId": "<string>"
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Certificates API
Create a root certificate (v1)
POST
/
v1
/
certificates
Create a root certificate
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
verifierRoot, issuerRoot Available options:
P-256, Ed25519 ISO 3166-1 alpha-2 country code
Required string length:
2Issuer alternative name URL
⌘I

